| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SEGY::HdrCalcSet Class Reference
Seis

`#include <segyhdrcalc.h>`

Inheritance diagram for SEGY::HdrCalcSet:
[legend]

## Public Member Functions
| HdrCalcSet (const HdrDef &)
| ~HdrCalcSet ()
bool | add (const char *dispstr)
bool | add (const HdrEntry &, const char *def, uiString *emsg=0)
void | apply (void *, bool needswap) const
void | discard (int)
Executor * | getApplier (od_istream &, od_ostream &, int data_bytes_per_trace, const BinHeader *bh=0, const TxtHeader *th=0) const
void | getFromSettings (const char *)
const HdrDef & | hdrDef ()
int | indexOf (const char *entrynm) const
int | indexOf (const HdrCalc *he) const override
void | reSetSeqNr (int seqnr=1)
bool | set (int, const char *def, uiString *emsg=0)
void | setEmpty ()
bool | storeInSettings () const
const HdrEntry & | trcIdxEntry ()
Public Member Functions inherited from ObjectSet< HdrCalc >
| ObjectSet ()
| ObjectSet (const ObjectSet &)
| ObjectSet (HdrCalc *)
| ObjectSet (HdrCalc *, HdrCalc *)
| ObjectSet (HdrCalc *, HdrCalc *, HdrCalc *)
virtual | ~ObjectSet ()
ObjectSet & | add (HdrCalc *t)
bool | addIfNew (HdrCalc *)
void | allowNull (bool yn=true)
virtual void | append (const ObjectSet &)
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
ObjectSet * | clone () const override
virtual void | copy (const ObjectSet &)
bool | empty () const
iterator | end ()
const_iterator | end () const
void | erase () override
HdrCalc * | first ()
const HdrCalc * | first () const
virtual HdrCalc * | get (const HdrCalc *) const
| check & unconst
virtual HdrCalc * | get (idx_type)
virtual const HdrCalc * | get (idx_type) const
virtual size_type | getCapacity () const
idx_type | getIdx (const_iterator it) const
idx_type | getIdx (iterator it) const
virtual idx_type | indexOf (const HdrCalc *) const
virtual void | insertAfter (HdrCalc *newptr, idx_type)
virtual void | insertAt (HdrCalc *newptr, idx_type)
virtual bool | isManaged () const
virtual bool | isPresent (const HdrCalc *) const
HdrCalc * | last ()
const HdrCalc * | last () const
size_type | max_size () const
od_int64 | nrItems () const override
bool | nullAllowed () const
bool | operator!= (const ObjectSet &oth) const
ObjectSet & | operator+= (HdrCalc *t)
virtual ObjectSet & | operator-= (HdrCalc *)
ObjectSet & | operator= (const ObjectSet &)
bool | operator== (const ObjectSet &) const
const HdrCalc * | operator[] (const HdrCalc *t) const
HdrCalc * | operator[] (idx_type i)
const HdrCalc * | operator[] (idx_type i) const
void | plainErase ()
virtual HdrCalc * | pop ()
void | push (HdrCalc *t)
virtual void | removeRange (idx_type from, idx_type to)
virtual HdrCalc * | removeSingle (idx_type, bool keep_order=true)
virtual HdrCalc * | replace (idx_type, HdrCalc *)
void | reverse () override
virtual bool | setCapacity (size_type, bool withmargin)
| Allocates mem only, no size() change.
void | setNullAllowed (bool yn=true)
virtual bool | setSize (size_type)
size_type | size () const
void | swap (idx_type, idx_type)
void | swap (ObjectSet &oth)
void | swapItems (od_int64 i1, od_int64 i2) override
void | useIndexes (const idx_type *)
bool | validIdx (od_int64) const override
Public Member Functions inherited from OD::Set
virtual | ~Set ()
bool | isEmpty () const
void | setEmpty ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static void | getStoredNames (BufferStringSet &)
static const char * | sKeySettsFile ()
Static Public Member Functions inherited from OD::Set
static od_int32 | maxIdx32 ()
static od_int64 | maxIdx64 ()

## Protected Member Functions
Math::Expression * | gtME (const char *, TypeSet< int > &, uiString *) const
Protected Member Functions inherited from ObjectSet< HdrCalc >
virtual ObjectSet & | doAdd (HdrCalc *)

## Protected Attributes
ObjectSet< Math::Expression > | exprs_
const HdrDef & | hdef_
ObjectSet< TypeSet< int > > | heidxs_
int | seqnr_
HdrEntry | trcidxhe_
Protected Attributes inherited from ObjectSet< HdrCalc >
bool | allow0_
impl_type | vec_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectSet< HdrCalc >
typedef impl_type::const_iterator | const_iterator
typedef const value_type & | const_reference
typedef size_type | difference_type
typedef size_type | idx_type
typedef impl_type::iterator | iterator
typedef HdrCalc | object_type
typedef value_type & | reference
typedef int | size_type
typedef HdrCalc * | value_type
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Protected Types inherited from ObjectSet< HdrCalc >
typedef VectorAccess< HdrCalc *, size_type > | impl_type

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ HdrCalcSet()

SEGY::HdrCalcSet::HdrCalcSet | ( | const HdrDef & |  | ) |

## ◆ ~HdrCalcSet()

SEGY::HdrCalcSet::~HdrCalcSet | ( |  | ) |

## Member Function Documentation

## ◆ add() [1/2]

bool SEGY::HdrCalcSet::add | ( | const char * | dispstr | ) |

## ◆ add() [2/2]

bool SEGY::HdrCalcSet::add | ( | const HdrEntry & | ,
|  | const char * | def,
|  | uiString * | emsg = 0 )

## ◆ apply()

void SEGY::HdrCalcSet::apply | ( | void * | ,
|  | bool | needswap ) const

## ◆ discard()

void SEGY::HdrCalcSet::discard | ( | int |  | ) |

## ◆ getApplier()

Executor * SEGY::HdrCalcSet::getApplier | ( | od_istream & | ,
|  | od_ostream & | ,
|  | int | data_bytes_per_trace,
|  | const BinHeader * | bh = 0,
|  | const TxtHeader * | th = 0 ) const

## ◆ getFromSettings()

void SEGY::HdrCalcSet::getFromSettings | ( | const char * |  | ) |

## ◆ getStoredNames()

static void SEGY::HdrCalcSet::getStoredNames | ( | BufferStringSet & |  | ) |
| static

## ◆ gtME()

Math::Expression * SEGY::HdrCalcSet::gtME | ( | const char * | ,
|  | TypeSet< int > & | ,
|  | uiString * | ) const
| protected

## ◆ hdrDef()

const HdrDef & SEGY::HdrCalcSet::hdrDef | ( |  | ) |
| inline

## ◆ indexOf() [1/2]

int SEGY::HdrCalcSet::indexOf | ( | const char * | entrynm | ) | const

## ◆ indexOf() [2/2]

int SEGY::HdrCalcSet::indexOf | ( | const HdrCalc * | he | ) | const
| inline override

## ◆ reSetSeqNr()

void SEGY::HdrCalcSet::reSetSeqNr | ( | int | seqnr = 1 | ) |
| inline

## ◆ set()

bool SEGY::HdrCalcSet::set | ( | int | ,
|  | const char * | def,
|  | uiString * | emsg = 0 )

## ◆ setEmpty()

void SEGY::HdrCalcSet::setEmpty | ( |  | ) |

## ◆ sKeySettsFile()

static const char * SEGY::HdrCalcSet::sKeySettsFile | ( |  | ) |
| inline static

## ◆ storeInSettings()

bool SEGY::HdrCalcSet::storeInSettings | ( |  | ) | const

## ◆ trcIdxEntry()

const HdrEntry & SEGY::HdrCalcSet::trcIdxEntry | ( |  | ) |
| inline

## Member Data Documentation

## ◆ exprs_

ObjectSet<Math::Expression> SEGY::HdrCalcSet::exprs_
| protected

## ◆ hdef_

const HdrDef& SEGY::HdrCalcSet::hdef_
| protected

## ◆ heidxs_

ObjectSet< TypeSet<int> > SEGY::HdrCalcSet::heidxs_
| protected

## ◆ seqnr_

int SEGY::HdrCalcSet::seqnr_
| mutable protected

## ◆ trcidxhe_

HdrEntry SEGY::HdrCalcSet::trcidxhe_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025